> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Listar projetos do Estúdio

GET https://api.elevenlabs.io/v1/studio/projects

Retorna uma lista dos seus projetos do Estúdio com metadados.

Reference: https://elevenlabs.io/docs/api-reference/studio/get-projects

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Response

### 200

Resposta bem-sucedida

- `projects` (list of ProjectResponseModel, required) — Uma lista de projetos com seus metadados.

## Errors

### 422 Unprocessable Entity Error

Erro de validação

- `detail` (list of ValidationError, optional)

## Types

### ProjectResponseModel

- `project_id` (string, required) — O ID do projeto.
- `name` (string, required) — O nome do projeto.
- `create_date_unix` (integer, required) — A data de criação do projeto.
- `created_by_user_id` (string, required, nullable) — O ID de usuário de quem criou o projeto.
- `default_title_voice_ref_id` (string, required) — O ID de referência de voz padrão para títulos do projeto.
- `default_paragraph_voice_ref_id` (string, required) — O ID de referência de voz padrão para parágrafos do projeto.
- `default_model_id` (string, required) — O ID do modelo padrão.
- `can_be_downloaded` (boolean, required) — Se o projeto pode ser baixado.
- `volume_normalization` (boolean, required) — Se o projeto usa normalização de volume.
- `state` (enum, required) — O estado do projeto.
  - Allowed values: `creating`, `default`, `converting`, `in_queue`
- `access_level` (enum, required) — O nível de acesso do projeto.
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `quality_check_on` (boolean, required, deprecated) — Se a verificação de qualidade está ativada para este projeto.
- `quality_check_on_when_bulk_convert` (boolean, required, deprecated) — Se a verificação de qualidade está ativada no projeto durante a conversão em massa.
- `default_title_voice_id` (string, required, deprecated) — O ID da voz padrão para títulos.
- `default_paragraph_voice_id` (string, required, deprecated) — O ID da voz padrão para parágrafos.
- `last_conversion_date_unix` (integer, optional, nullable) — A data da última conversão do projeto.
- `title` (string, optional, nullable) — O título do projeto.
- `author` (string, optional, nullable) — O autor do projeto.
- `description` (string, optional, nullable) — A descrição do projeto.
- `genres` (list of string, optional, nullable) — Lista de gêneros do projeto.
- `cover_image_url` (string, optional, nullable) — A URL da imagem de capa do projeto.
- `target_audience` (enum, optional, nullable) — O público-alvo do projeto.
  - Allowed values: `children`, `young adult`, `adult`, `all ages`
- `language` (string, optional, nullable) — Código de idioma de duas letras (ISO 639-1) do idioma do projeto.
- `content_type` (string, optional, nullable) — O tipo de conteúdo do projeto, por exemplo, 'Novel' ou 'Short Story'
- `original_publication_date` (string, optional, nullable) — A data original de publicação do projeto.
- `mature_content` (boolean, optional, nullable) — Se o projeto contém conteúdo adulto.
- `isbn_number` (string, optional, nullable) — O número ISBN do projeto.
- `fiction` (enum, optional, nullable) — Se o projeto é uma obra de ficção.
  - Allowed values: `fiction`, `non-fiction`
- `creation_meta` (ProjectCreationMetaResponseModel, optional, nullable) — Os metadados de criação do projeto.
- `source_type` (enum, optional, nullable) — O tipo de origem do projeto.
  - Allowed values: `blank`, `book`, `article`, `genfm`, `video`, `screenplay`
- `chapters_enabled` (boolean, optional, nullable, default: true) — Se os capítulos estão ativados para o projeto.
- `captions_enabled` (boolean, optional, nullable, default: true) — Se as legendas estão ativadas para o projeto.
- `caption_style` (CaptionStyleModel, optional, nullable) — Estilo global a ser aplicado a todas as legendas
- `caption_style_template_overrides` (map from string to CaptionStyleModel, optional, nullable) — Alterações de estilo feitas nos modelos fornecidos
- `public_share_id` (string, optional, nullable) — O ID de compartilhamento público do projeto.
- `aspect_ratio` (enum, optional, nullable) — A proporção do projeto.
  - Allowed values: `16:9`, `9:16`, `4:5`, `1:1`
- `agent_settings` (StudioAgentSettingsModel, optional, nullable) — Configurações relacionadas ao agente para o projeto

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ProjectCreationMetaResponseModel

- `creation_progress` (double, required) — O progresso da criação do projeto.
- `status` (enum, required) — O status da ação de criação do projeto.
  - Allowed values: `draft`, `pending`, `creating`, `finished`, `failed`
- `type` (enum, required) — O tipo da ação de criação do projeto.
  - Allowed values: `blank`, `generate_podcast`, `auto_assign_voices`, `dub_video`, `import_speech`

### CaptionStyleModel

- `template` (CaptionStyleTemplateModel, optional, nullable)
- `text_font` (string, optional, nullable)
- `text_scale` (double, optional, nullable)
- `text_color` (string, optional, nullable)
- `text_align` (enum, optional, nullable)
  - Allowed values: `start`, `center`, `end`
- `text_style` (enum, optional, nullable)
  - Allowed values: `normal`, `italic`
- `text_weight` (enum, optional, nullable)
  - Allowed values: `normal`, `bold`, `900`
- `text_transform` (enum, optional, nullable)
  - Allowed values: `none`, `uppercase`
- `text_blend_mode` (enum, optional, nullable)
  - Allowed values: `normal`, `difference`, `multiply`
- `text_shadow` (StudioTextStyleShadowModel, optional, nullable)
- `text_outline` (StudioTextStyleOutlineModel, optional, nullable)
- `background_enabled` (boolean, optional, nullable)
- `background_color` (string, optional, nullable)
- `background_opacity` (double, optional, nullable)
- `background_blur` (double, optional, nullable)
- `background_border_radius` (double, optional, nullable)
- `word_highlights_enabled` (boolean, optional, nullable)
- `word_highlights_color` (string, optional, nullable)
- `word_highlights_background_color` (string, optional, nullable)
- `word_highlights_opacity` (double, optional, nullable)
- `word_highlights_border_radius` (double, optional, nullable)
- `word_highlights_blur` (double, optional, nullable)
- `section_animation` (CaptionStyleSectionAnimationModel, optional, nullable)
- `word_animation` (CaptionStyleWordAnimationModel, optional, nullable)
- `character_animation` (CaptionStyleCharacterAnimationModel, optional, nullable)
- `cursor_enabled` (boolean, optional, nullable)
- `width_pct` (double, optional, nullable)
- `horizontal_placement` (CaptionStyleHorizontalPlacementModel, optional, nullable)
- `vertical_placement` (CaptionStyleVerticalPlacementModel, optional, nullable)
- `auto_break_enabled` (boolean, optional, nullable)
- `max_lines_per_section` (integer, optional, nullable)
- `max_words_per_line` (integer, optional, nullable)

### StudioAgentSettingsModel

- `tool_settings` (map from string to StudioAgentToolSettingsModel, optional)

### ValidationErrorLocItems

### CaptionStyleTemplateModel

- `key` (string, required)
- `label` (string, required)
- `requires_high_fps` (boolean, optional, default: false)

### StudioTextStyleShadowModel

- `enabled` (boolean, required)
- `color` (string, required)
- `opacity` (double, required)
- `blur` (double, required)
- `offset_x` (double, required)
- `offset_y` (double, required)

### StudioTextStyleOutlineModel

- `enabled` (boolean, required)
- `color` (string, required)
- `opacity` (double, required)
- `width` (double, required)

### CaptionStyleSectionAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`

### CaptionStyleWordAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`

### CaptionStyleCharacterAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `typewriter`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`

### CaptionStyleHorizontalPlacementModel

- `align` (enum, required)
  - Allowed values: `left`, `center`, `right`
- `translate_pct` (double, required)

### CaptionStyleVerticalPlacementModel

- `align` (enum, required)
  - Allowed values: `top`, `center`, `bottom`
- `translate_pct` (double, required)

### StudioAgentToolSettingsModel

- `skip_confirmation` (boolean, optional, default: false)

## Examples

**Response**

```json
{
  "projects": [
    {
      "project_id": "aw1NgEzBg83R7vgmiJt6",
      "name": "My Project",
      "create_date_unix": 1714204800,
      "created_by_user_id": "Vbtgl3bRdj6lk79rYAgx",
      "default_title_voice_ref_id": "JBFqnCBsd6RMkjVDRZzb",
      "default_paragraph_voice_ref_id": "JBFqnCBsd6RMkjVDRZzb",
      "default_model_id": "eleven_multilingual_v2",
      "can_be_downloaded": true,
      "volume_normalization": true,
      "state": "default",
      "access_level": "viewer",
      "quality_check_on": false,
      "quality_check_on_when_bulk_convert": false,
      "default_title_voice_id": "JBFqnCBsd6RMkjVDRZzb",
      "default_paragraph_voice_id": "JBFqnCBsd6RMkjVDRZzb",
      "last_conversion_date_unix": 1714204800,
      "title": "My Project",
      "author": "John Doe",
      "description": "This is a description of my project.",
      "genres": [
        "Novel",
        "Short Story"
      ],
      "cover_image_url": "https://example.com/cover.jpg",
      "target_audience": "young adult",
      "language": "en",
      "content_type": "Novel",
      "original_publication_date": "2025-01-01",
      "mature_content": false,
      "isbn_number": "978-90-274-3964-2",
      "fiction": "fiction",
      "creation_meta": {
        "creation_progress": 0.5,
        "status": "pending",
        "type": "blank"
      },
      "public_share_id": "abc123def456789"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/studio/projects"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/studio/projects';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/studio/projects"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/studio/projects")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/studio/projects")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/studio/projects');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/studio/projects");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/studio/projects")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```